/* If image does not have a source, then add a placeholder background image until it has an image source. */
img[src=""] {
  background-image: url("https://placehold.co/400");
  background-size: cover;
  background-position: 50%;
  height: 200px;
}

section.hero-section {
  display: grid;
  margin-block: 1rem;

  .text-content {
    margin-block: auto;
    max-width: 65ch;
    margin-block-start: 2.5rem;
    text-wrap: pretty;

    h1 {
      margin-block-end: 1rem;
    }
  }

  img {
    width: calc(100% - 16px);
    max-width: 240px;
    height: calc(100% - 16px);
    /*height: 100%;*/
    border-radius: 8px;
    box-shadow: 16px 16px var(--secondary);
    grid-column: 1/2;
    grid-row: 1/2;
    margin-inline: auto;
  }

  @media screen and (min-width: 768px) {
    grid-template-columns: 2fr 5fr;
    gap: 0 4rem;
    margin-block-start: 2rem;
    margin-block-end: 4rem;

    .text-content {
      margin-block-start: unset;
      margin-block: auto;
    }

    img {
      max-width: unset;
      margin-inline: unset;
      margin-block-end: 16px;
    }
  }
}

section.affordable-section {
  display: grid;
  position: relative;
  margin-block-start: 2rem;
  margin-block-end: 3rem;

  .content {
    display: flex;
    flex-direction: column;
    gap: 1rem;

    .title {
      margin-block-end: 0.25rem;
    }

    .text-content {
      max-width: 50ch;
    }

    .details-list {
      display: flex;
      flex-direction: column;
      gap: 1rem;
      margin-block-end: 0.5rem;

      &.columns-two {
        display: unset;
        column-count: 2;
        column-fill: balance;
        column-gap: 16px;
        margin-block: 0.75rem 0;
        li {
          margin-bottom: 1rem;
        }

        @media screen and (width < 420px) {
          column-count: 1;
        }
      }

      li {
        display: flex;
        flex-direction: row;
        align-items: center;
        gap: 0.5rem;
        padding: 0.5rem;
        background-color: hsl(0, 0%, 95%);
        border-radius: 0.5rem;
        position: relative;

        &::before {
          content: "";
          /*position: absolute;*/
          z-index: 2;
          height: 24px;
          width: 24px;
          left: 0;
          background-size: contain;
          background-repeat: no-repeat;
          background-position: center;
        }

        &.person::before {
          background-image: url("/assets/svgs/person-icon.svg");
        }

        &.paper::before {
          background-image: url("/assets/svgs/paper-icon.svg");
        }

        &.quote::before {
          background-image: url("/assets/svgs/quote-bubble.svg");
        }

        &.pressure-nozzle::before {
          background-image: url("/assets/svgs/pressure-nozzle.svg");
        }
      }

      .list-image {
        width: 24px;
        height: 24px;
        object-fit: contain;
      }
    }

    .disclaimer {
      font-size: 1rem;
      padding-block: 1rem 0;
    }

    a.primary-button {
      width: max-content;
      justify-self: start;
    }
  }

  .logo-container {
    position: absolute;
    width: calc(100% + 4rem);
    margin-inline: -2rem;
    bottom: -48px;
    overflow: hidden;
    height: 260px;
  }

  .logo-accent {
    object-fit: contain;
    opacity: 0.3;
    position: absolute;
    z-index: -1;
    right: -60px;
    width: 260px;

    @media screen and (min-width: 300px) {
      right: 0;
    }
  }

  @media screen and (min-width: 768px) {
    grid-template-columns: 3fr 2fr;
    margin-block-start: 3rem;
    margin-block-end: 5rem;
    gap: 3rem;

    .logo-accent {
      position: relative;
      opacity: 1;
      right: unset;
      width: 100%;
    }

    .logo-container {
      position: relative;
      display: flex;
      align-content: center;
      width: 100%;
      margin-inline: unset;
      height: unset;
      bottom: unset;
    }
  }
}

.services-container {
  background-color: var(--primary);
}

section.services-section {
  --timing: 0.3s;
  position: relative;
  display: flex;
  flex-direction: column;
  margin-block-start: 2rem;
  margin-block-end: 2rem;
  gap: 1.5rem;

  a.title {
    display: flex;
    gap: 0.75rem;
    justify-content: start;
    align-self: center;
    font-weight: bold;
    text-decoration: none;
    background-color: var(--secondary-50);
    border-radius: 2rem;
    padding: .5rem 2rem;
    transition: background-color var(--timing), color var(--timing);
  }

  a.title:after {
    content: "";
    display: inline-block;
    height: 100%;
    width: 100%;
    max-width: 20px;
    aspect-ratio: 1;
    margin-top: 12px;
    background-color: var(--tertiary);
    mask-image: url("../../assets/svgs/diagonal-arrow.svg");
    mask-size: 16px 16px;
    mask-repeat: no-repeat;

    /*transition: mask-size var(--timing), margin-top var(--timing),*/
    /*  background-color, var(--timing);*/
    transition: background-color var(--timing), color var(--timing);
  }

  a.title:hover {
    color: var(--secondary-50);
    background-color: var(--secondary-600);
  }

  a.title:hover:after {
    /*mask-size: 18px 18px;*/
    background-color: var(--secondary-50);
    /*margin-top: 10px;*/
  }

  ul.services-list {
    display: flex;
    width: 100%;
    flex-direction: column;
    gap: 2rem;
    list-style: none;

    li {
      width: 100%;
      display: flex;
      flex-direction: column;
      gap: 1rem;
      position: relative;
      background-color: var(--secondary-50);
      padding: 0.75rem;
      border-radius: 1rem;

      transition: background-color var(--timing);
    }

    li img {
      border-radius: 0.5rem;
      /*box-shadow: 6px 6px 0px var(--secondary);*/
    }

    /*li:hover img {*/
    /*  box-shadow: 6px 6px 0px var(--accent);*/
    /*}*/

    li a {
      text-decoration: none;
      transition: font-weight var(--timing);
    }

    li a::before {
      content: "";
      position: absolute;
      inset: 0;
    }

    .card-title {
      font-size: 1.25rem;
      font-weight: 550;
      transition: color var(--timing);
    }

    .card-body {
      display: flex;
      flex-direction: column;
      gap: 0.25rem;
      transition: color var(--timing);

      .text {
        font-size: 0.875rem;
      }
    }

    .picture-container {
      height: 70%;
    }

    img {
      width: 100%;
    }

    li:hover {
      background-color: var(--secondary-600);

      .card-title {
        color: var(--accent);
      }

      .text {
        color: var(--page-background);
      }
    }
  }

  @media screen and (min-width: 768px) {
    ul.services-list {
      flex-direction: row;
    }
  }
}
